Belune
Scheduled Tasks

Update Task

PUT
/api/projects/{projectId}/applications/{applicationId}/scheduled-tasks/{taskId}
AuthorizationBearer <token>

Personal access token whose scope satisfies write.

In: header

Path Parameters

projectId*string
Formatuuid
applicationId*string
Formatuuid
taskId*string
Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X PUT "https://example.com/api/projects/497f6eca-6276-4993-bfeb-53cbbbba6f08/applications/497f6eca-6276-4993-bfeb-53cbbbba6f08/scheduled-tasks/497f6eca-6276-4993-bfeb-53cbbbba6f08" \  -H "Content-Type: application/json" \  -d '{}'
{  "application_id": "string",  "command": "string",  "created_at": "2019-08-24T14:15:22Z",  "cron": "string",  "enabled": true,  "id": "string",  "keep_runs": 0,  "last_run_at": "2019-08-24T14:15:22Z",  "latest_run": {    "exit_code": 0,    "finished_at": "2019-08-24T14:15:22Z",    "id": "string",    "output": "string",    "skip_reason": "string",    "started_at": "2019-08-24T14:15:22Z",    "status": "string",    "trigger": "string"  },  "name": "string",  "next_run_at": "2019-08-24T14:15:22Z",  "timeout_seconds": 0,  "timezone": "string",  "updated_at": "2019-08-24T14:15:22Z"}